Scriptname SFL_MCM_Script extends SKI_ConfigBase
{renn's Tweak 205r}
; -----

String Property SFL_CloakOptions Auto
String Property SFL_TextOptions Auto
String Property SFL_TweakOptions Auto
String Property SFL_DifficultyOptions Auto
String Property SFL_MagicOptions Auto
String Property SFL_TimedBlockOptions Auto

GlobalVariable Property SFL_DisableAlchemyDebuff_Global Auto
GlobalVariable Property SFL_SquelchInjuryMessages_Global Auto
GlobalVariable Property SFL_SquelchTimedBlockMessages_Global Auto
GlobalVariable Property SFL_DisableFullBodyStagger_Global Auto
GlobalVariable Property SFL_DisableAttackSpeed_Global Auto
GlobalVariable Property SFL_DisableCasterNerf_Global Auto
GlobalVariable Property SFL_DisableMagickaDebuff_Global Auto
GlobalVariable Property SFL_DisableDamageFlux_Global Auto
GlobalVariable Property SFL_DisablePowerAttackPunishment_Global Auto
GlobalVariable Property SFL_DisableSelfBowMods_Global Auto
GlobalVariable Property SFL_DisableWounds_Global Auto
GlobalVariable Property SFL_DisableDamageNerf_Global Auto
GlobalVariable Property SFL_DisableTimedBlock_Global Auto

GlobalVariable Property SFL_SwingCostsStamina_Global Auto
GlobalVariable Property SFL_InjuryChance_Global_NPC Auto
GlobalVariable Property SFL_InjuryChance_Global_PC Auto

GlobalVariable Property SFL_HealthThreshold_Global_Power Auto
GlobalVariable Property SFL_HealthThreshold_Global_Regular Auto
GlobalVariable Property SFL_HealthThreshold_Global_Weaker Auto

GlobalVariable Property SFL_AdeptDamageBy_Global Auto
GlobalVariable Property SFL_AdeptDamageTo_Global Auto

String Property SFL_DisableAlchemyDebuff_Text Auto
String Property SFL_SquelchInjuryMessages_Text Auto
String Property SFL_SquelchTimedBlockMessages_Text Auto
String Property SFL_DisableCloak_Text Auto
String Property SFL_DisableFullBodyStagger_Text Auto
String Property SFL_DisableAttackSpeed_Text Auto
String Property SFL_DisableCasterNerf_Text Auto
String Property SFL_DisableMagickaDebuff_Text Auto
String Property SFL_DisableDamageFlux_Text Auto
String Property SFL_DisablePowerAttackPunishment_Text Auto
String Property SFL_DisableSelfBowMods_Text Auto
String Property SFL_DisableWounds_Text Auto
String Property SFL_DisableDamageNerf_Text Auto
String Property SFL_DisableTimedBlock_Text Auto

String Property SFL_SwingCostsStamina_Text Auto
String Property SFL_InjuryChance_Text_NPC Auto
String Property SFL_InjuryChance_Text_PC Auto

String Property SFL_HealthThreshold_Text_Power Auto
String Property SFL_HealthThreshold_Text_Regular Auto
String Property SFL_HealthThreshold_Text_Weaker Auto

String Property SFL_AdeptDamageBy_Text Auto
String Property SFL_AdeptDamageTo_Text Auto

String Property SFL_DisableAlchemyDebuff_Desc Auto
String Property SFL_SquelchInjuryMessages_Desc Auto
String Property SFL_SquelchTimedBlockMessages_Desc Auto
String Property SFL_DisableCloak_Desc Auto
String Property SFL_DisableFullBodyStagger_Desc Auto
String Property SFL_DisableAttackSpeed_Desc Auto
String Property SFL_DisableCasterNerf_Desc Auto
String Property SFL_DisableMagickaDebuff_Desc Auto
String Property SFL_DisableDamageFlux_Desc Auto
String Property SFL_DisablePowerAttackPunishment_Desc Auto
String Property SFL_DisableSelfBowMods_Desc Auto
String Property SFL_DisableWounds_Desc Auto
String Property SFL_DisableDamageNerf_Desc Auto
String Property SFL_DisableTimedBlock_Desc Auto

String Property SFL_SwingCostsStamina_Desc Auto
String Property SFL_InjuryChance_Desc_NPC Auto
String Property SFL_InjuryChance_Desc_PC Auto

String Property SFL_HealthThreshold_Desc_Power Auto
String Property SFL_HealthThreshold_Desc_Regular Auto
String Property SFL_HealthThreshold_Desc_Weaker Auto

String Property SFL_AdeptDamageBy_Desc Auto
String Property SFL_AdeptDamageTo_Desc Auto

String Property SFL_SwingCostsStamina_Parse Auto
String Property SFL_InjuryChance_Parse_NPC Auto
String Property SFL_InjuryChance_Parse_PC Auto

String Property SFL_HealthThreshold_Parse_Power Auto
String Property SFL_HealthThreshold_Parse_Regular Auto
String Property SFL_HealthThreshold_Parse_Weaker Auto

String Property SFL_AdeptDamageBy_Parse Auto
String Property SFL_AdeptDamageTo_Parse Auto

Actor Property PlayerRef Auto
Spell Property SFL_Cloak_Spell_Ab Auto

; -----

Int T_DisableAlchemyDebuff
Int T_SquelchInjuryMessages
Int T_SquelchTimedBlockMessages
Int T_DisableCloak
Int T_DisableFullBodyStagger
Int T_DisableAttackSpeed
Int T_DisableCasterNerf
Int T_DisableMagickaDebuff
Int T_DisableDamageFlux
Int T_DisablePowerAttackPunishment
Int T_DisableSelfBowMods
Int T_DisableWounds
Int T_DisableDamageNerf
Int T_DisableTimedBlock

Int T_SwingCostsStamina
Int T_InjuryChance_NPC
Int T_InjuryChance_PC

Int T_HealthThreshold_Power
Int T_HealthThreshold_Regular
Int T_HealthThreshold_Weaker

Int T_AdeptDamageBy
Int T_AdeptDamageTo

; -----

Event OnPageReset(string akPage)

	SetCursorFillMode(TOP_TO_BOTTOM)	
	
	if akPage == Pages[0] || akPage == "" ;renn		
		GoToState("")
	
		Bool CloakEnabled = PlayerRef.HasSpell(SFL_Cloak_Spell_Ab)
		Int CloakFlag
		If CloakEnabled
			CloakFlag = OPTION_FLAG_NONE
		Else
			CloakFlag = OPTION_FLAG_DISABLED
		EndIf

		SetCursorPosition(0)
		AddHeaderOption("Dynamic Combat")

		T_DisableCloak = AddToggleOption("Disable Dynamic Combat", !CloakEnabled)

		AddEmptyOption()

	;	T_DisableWounds = AddToggleOption("Disable Injuries", SFL_DisableWounds_Global.GetValue() as Bool, CloakFlag)
		T_HealthThreshold_Weaker = AddSliderOption("Injury Threshold 1", SFL_HealthThreshold_Global_Weaker.GetValue(), "x{2} HP", CloakFlag)
		T_HealthThreshold_Regular= AddSliderOption("Injury Threshold 2", SFL_HealthThreshold_Global_Regular.GetValue(), "x{2} HP", CloakFlag)
		T_HealthThreshold_Power = AddSliderOption("Injury Threshold 3", SFL_HealthThreshold_Global_Power.GetValue(), "x{2} HP", CloakFlag)
		T_InjuryChance_NPC = AddSliderOption("Injury Chance (NPC)", SFL_InjuryChance_Global_NPC.GetValue(), "{0}%", CloakFlag)
		T_InjuryChance_PC = AddSliderOption("Injury Chance (PC)", SFL_InjuryChance_Global_PC.GetValue(), "{0}%", CloakFlag)

		AddEmptyOption()

		AddHeaderOption("Choose Your Own Difficulty")
		
		;T_AdeptDamageBy = AddSliderOption("Adept Difficulty: Damage Dealt", SFL_AdeptDamageBy_Global.GetValue(), "x{2}")
		;T_AdeptDamageTo = AddSliderOption("Adept Difficulty: Damage Taken", SFL_AdeptDamageTo_Global.GetValue(), "x{2}")
		;-------renn
		T_NoviceDamageBy = AddSliderOption("Novice Difficulty: Damage Dealt", Game.GetGameSettingFloat("fDiffMultHPByPCVE"), "x{2}")
		T_NoviceDamageTo = AddSliderOption("Novice Difficulty: Damage Taken", Game.GetGameSettingFloat("fDiffMultHPToPCVE"), "x{2}")
		T_ApprenticeDamageBy = AddSliderOption("Apprentice Difficulty: Damage Dealt", Game.GetGameSettingFloat("fDiffMultHPByPCE"), "x{2}")
		T_ApprenticeDamageTo = AddSliderOption("Apprentice Difficulty: Damage Taken", Game.GetGameSettingFloat("fDiffMultHPToPCE"), "x{2}")
		T_AdeptDamageBy = AddSliderOption("Adept Difficulty: Damage Dealt", Game.GetGameSettingFloat("fDiffMultHPByPCN"), "x{2}")
		T_AdeptDamageTo = AddSliderOption("Adept Difficulty: Damage Taken", Game.GetGameSettingFloat("fDiffMultHPToPCN"), "x{2}")
		T_ExpertDamageBy = AddSliderOption("Expert Difficulty: Damage Dealt", Game.GetGameSettingFloat("fDiffMultHPByPCH"), "x{2}")
		T_ExpertDamageTo = AddSliderOption("Expert Difficulty: Damage Taken", Game.GetGameSettingFloat("fDiffMultHPToPCH"), "x{2}")
		T_MasterDamageBy = AddSliderOption("Master Difficulty: Damage Dealt", Game.GetGameSettingFloat("fDiffMultHPByPCVH"), "x{2}")
		T_MasterDamageTo = AddSliderOption("Master Difficulty: Damage Taken", Game.GetGameSettingFloat("fDiffMultHPToPCVH"), "x{2}")
		T_LegendaryDamageBy = AddSliderOption("Legendary Difficulty: Damage Dealt", Game.GetGameSettingFloat("fDiffMultHPByPCL"), "x{2}")
		T_LegendaryDamageTo = AddSliderOption("Legendary Difficulty: Damage Taken", Game.GetGameSettingFloat("fDiffMultHPToPCL"), "x{2}")
		
		SetCursorPosition(1)

		AddHeaderOption("Timed Block")

		T_DisableTimedBlock = AddToggleOption("Disable Timed Block", SFL_DisableTimedBlock_Global.GetValue() as Bool, CloakFlag)

		AddEmptyOption()

		AddHeaderOption("Tweaks")

	;	T_DisableAlchemyDebuff = AddToggleOption("Disable Combat Alchemy Movement Block", SFL_DisableAlchemyDebuff_Global.GetValue() as Bool, CloakFlag)
		T_DisableFullBodyStagger = AddToggleOption("Disable Player Full Body Stagger", SFL_DisableFullBodyStagger_Global.GetValue() as Bool, CloakFlag)
		T_SwingCostsStamina = AddSliderOption("Attacks Cost", SFL_SwingCostsStamina_Global.GetValue(), "{1} Stamina", CloakFlag)
		T_DisableDamageFlux = AddToggleOption("Disable Damage Gradient", SFL_DisableDamageFlux_Global.GetValue() as Bool, CloakFlag)
		T_DisableDamageNerf = AddToggleOption("Disable Zero Stamina Damage Reduction", SFL_DisableDamageNerf_Global.GetValue() as Bool, CloakFlag)
		T_DisablePowerAttackPunishment = AddToggleOption("Disable Power Attack Vulnerability", SFL_DisablePowerAttackPunishment_Global.GetValue() as Bool, CloakFlag)
	;	T_DisableSelfBowMods = AddToggleOption("Disable Slower but Stronger Bows", SFL_DisableSelfBowMods_Global.GetValue() as Bool, CloakFlag)
		T_DisableCasterNerf = AddToggleOption("Disable Magic Slowdown", SFL_DisableCasterNerf_Global.GetValue() as Bool, CloakFlag)
		T_DisableMagickaDebuff = AddToggleOption("Disable Increased Spell Costs", SFL_DisableMagickaDebuff_Global.GetValue() as Bool, CloakFlag)
	;	T_DisableAttackSpeed = AddToggleOption("Disable NPC Variable Attack Speed", SFL_DisableAttackSpeed_Global.GetValue() as Bool, CloakFlag)

		AddEmptyOption()

		AddHeaderOption("Messages")

		T_SquelchInjuryMessages = AddToggleOption("Squelch Injury Notifications", SFL_SquelchInjuryMessages_Global.GetValue() as Bool, CloakFlag)
		T_SquelchTimedBlockMessages = AddToggleOption("Squelch Timed Block Notifications", SFL_SquelchTimedBlockMessages_Global.GetValue() as Bool, CloakFlag)
		
		AddEmptyOption()
		AddHeaderOption("Reset Difficulty")
		T_ResetDifficultyWildcat = AddTextOption("Reset Difficulty to Wildcat", "Reset")
		T_ResetDifficultyVanilla = AddTextOption("Reset Difficulty to Vanilla", "Reset")
	
	;-------------------renn	
	elseif akPage == Pages[1] ;renn
	
		SetCursorFillMode(TOP_TO_BOTTOM)		
		GoToState("rennState")
		
		OID_ = new int[20]
		ReadSpellStrings()
		if PlayerRef.GetActorValuePercentage("Health") == 1
			OID_[18] = AddTextOption("Cure All Injuries", "No Injuries", 1)
		else			
			OID_[18] = AddToggleOption("Cure All Injuries", b_CureInjury)
		endif
		SetCursorPosition(1)
;		OID_[19] = AddTextOption("Current Health", PlayerRef.GetAV("Health") as int + " / " + (PlayerRef.GetAV("Health") / PlayerRef.GetActorValuePercentage("Health")) as int ,1)
		if b_CureInjury			
			OID_[19] = AddTextOption("Current Health", 100 + " %", 1)
		else
			OID_[19] = AddTextOption("Current Health", (PlayerRef.GetActorValuePercentage("Health") * 100) as int + " %", 1)
		endif
		SetCursorPosition(4)
		int i = 0
		While i < 18
			if i == 9
				SetCursorPosition(5)
			endif
			OID_[i] = AddTextOption("<font color='#ff636f'>" + s_Injury[i] + "</font>" + ": " + s_InjuryInfo[i], "")
			i += 1
		endWhile
		
	endif
	;-------------------
	
EndEvent

; -----

Event OnOptionSelect(Int akOption)

	If akOption == T_DisableAlchemyDebuff
		If SFL_DisableAlchemyDebuff_Global.GetValue() == 0
			SFL_DisableAlchemyDebuff_Global.SetValue(1)
		Else
			SFL_DisableAlchemyDebuff_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableAlchemyDebuff, SFL_DisableAlchemyDebuff_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableAttackSpeed
		If SFL_DisableAttackSpeed_Global.GetValue() == 0
			SFL_DisableAttackSpeed_Global.SetValue(1)
		Else
			SFL_DisableAttackSpeed_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableAttackSpeed, SFL_DisableAttackSpeed_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableCasterNerf
		If SFL_DisableCasterNerf_Global.GetValue() == 0
			SFL_DisableCasterNerf_Global.SetValue(1)
		Else
			SFL_DisableCasterNerf_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableCasterNerf, SFL_DisableCasterNerf_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableMagickaDebuff
		If SFL_DisableMagickaDebuff_Global.GetValue() == 0
			SFL_DisableMagickaDebuff_Global.SetValue(1)
		Else
			SFL_DisableMagickaDebuff_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableMagickaDebuff, SFL_DisableMagickaDebuff_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableDamageFlux
		If SFL_DisableDamageFlux_Global.GetValue() == 0
			SFL_DisableDamageFlux_Global.SetValue(1)
		Else
			SFL_DisableDamageFlux_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableDamageFlux, SFL_DisableDamageFlux_Global.GetValue() as Bool)

	ElseIf akOption == T_DisablePowerAttackPunishment
		If SFL_DisablePowerAttackPunishment_Global.GetValue() == 0
			SFL_DisablePowerAttackPunishment_Global.SetValue(1)
		Else
			SFL_DisablePowerAttackPunishment_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisablePowerAttackPunishment, SFL_DisablePowerAttackPunishment_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableSelfBowMods
		If SFL_DisableSelfBowMods_Global.GetValue() == 0
			SFL_DisableSelfBowMods_Global.SetValue(1)
		Else
			SFL_DisableSelfBowMods_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableSelfBowMods, SFL_DisableSelfBowMods_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableWounds
		If SFL_DisableWounds_Global.GetValue() == 0
			SFL_DisableWounds_Global.SetValue(1)
		Else
			SFL_DisableWounds_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableWounds, SFL_DisableWounds_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableDamageNerf
		If SFL_DisableDamageNerf_Global.GetValue() == 0
			SFL_DisableDamageNerf_Global.SetValue(1)
		Else
			SFL_DisableDamageNerf_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableDamageNerf, SFL_DisableDamageNerf_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableTimedBlock
		If SFL_DisableTimedBlock_Global.GetValue() == 0
			SFL_DisableTimedBlock_Global.SetValue(1)
		Else
			SFL_DisableTimedBlock_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableTimedBlock, SFL_DisableTimedBlock_Global.GetValue() as Bool)

	ElseIf akOption == T_SquelchInjuryMessages
		If SFL_SquelchInjuryMessages_Global.GetValue() == 0
			SFL_SquelchInjuryMessages_Global.SetValue(1)
		Else
			SFL_SquelchInjuryMessages_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_SquelchInjuryMessages, SFL_SquelchInjuryMessages_Global.GetValue() as Bool)

	ElseIf akOption == T_SquelchTimedBlockMessages
		If SFL_SquelchTimedBlockMessages_Global.GetValue() == 0
			SFL_SquelchTimedBlockMessages_Global.SetValue(1)
		Else
			SFL_SquelchTimedBlockMessages_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_SquelchTimedBlockMessages, SFL_SquelchTimedBlockMessages_Global.GetValue() as Bool)

	ElseIf akOption == T_DisableCloak
		If PlayerRef.HasSpell(SFL_Cloak_Spell_Ab)
			PlayerRef.RemoveSpell(SFL_Cloak_Spell_Ab)
			SetOptionFlags(T_DisableAlchemyDebuff, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableAttackSpeed, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableCasterNerf, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableMagickaDebuff, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableDamageFlux, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisablePowerAttackPunishment, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableSelfBowMods, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableFullBodyStagger, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableWounds, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableDamageNerf, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_DisableTimedBlock, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_SwingCostsStamina, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_InjuryChance_NPC, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_InjuryChance_PC, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_SquelchInjuryMessages, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_SquelchTimedBlockMessages, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_HealthThreshold_Power, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_HealthThreshold_Regular, OPTION_FLAG_DISABLED)
			SetOptionFlags(T_HealthThreshold_Weaker, OPTION_FLAG_DISABLED)
		Else
			PlayerRef.AddSpell(SFL_Cloak_Spell_Ab, false)
			SetOptionFlags(T_DisableAlchemyDebuff, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableAttackSpeed, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableCasterNerf, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableMagickaDebuff, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableDamageFlux, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisablePowerAttackPunishment, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableSelfBowMods, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableFullBodyStagger, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableWounds, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableDamageNerf, OPTION_FLAG_NONE)
			SetOptionFlags(T_DisableTimedBlock, OPTION_FLAG_NONE)
			SetOptionFlags(T_SwingCostsStamina, OPTION_FLAG_NONE)
			SetOptionFlags(T_InjuryChance_NPC, OPTION_FLAG_NONE)
			SetOptionFlags(T_InjuryChance_PC, OPTION_FLAG_NONE)
			SetOptionFlags(T_SquelchInjuryMessages, OPTION_FLAG_NONE)
			SetOptionFlags(T_SquelchTimedBlockMessages, OPTION_FLAG_NONE)
			SetOptionFlags(T_HealthThreshold_Power, OPTION_FLAG_NONE)
			SetOptionFlags(T_HealthThreshold_Regular, OPTION_FLAG_NONE)
			SetOptionFlags(T_HealthThreshold_Weaker, OPTION_FLAG_NONE)
		EndIf
		SetToggleOptionValue(T_DisableCloak, !PlayerRef.HasSpell(SFL_Cloak_Spell_Ab))

	ElseIf akOption == T_DisableFullBodyStagger
		If SFL_DisableFullBodyStagger_Global.GetValue() == 0
			SFL_DisableFullBodyStagger_Global.SetValue(1)
		Else
			SFL_DisableFullBodyStagger_Global.SetValue(0)
		EndIf
		SetToggleOptionValue(T_DisableFullBodyStagger, SFL_DisableFullBodyStagger_Global.GetValue() as Bool)
	
	;-------renn
	ElseIf akOption == T_ResetDifficultyWildcat
		if ShowMessage("Are you sure to reset all difficulty multipliers to Wildcat defaults?", true)
			SetSliderOptionValue(T_NoviceDamageBy, 2.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCVE", 2.0)
			SetSliderOptionValue(T_NoviceDamageTo, 1.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCVE", 1.0)
			SetSliderOptionValue(T_ApprenticeDamageBy, 1.75, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCE", 1.75)
			SetSliderOptionValue(T_ApprenticeDamageTo, 1.25, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCE", 1.25)
			SetSliderOptionValue(T_AdeptDamageBy, 1.5, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCN", 1.5)
			SetSliderOptionValue(T_AdeptDamageTo, 1.5, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCN", 1.5)
			SetSliderOptionValue(T_ExpertDamageBy, 1.25, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCH", 1.25)
			SetSliderOptionValue(T_ExpertDamageTo, 1.75, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCH", 1.75)
			SetSliderOptionValue(T_MasterDamageBy, 1.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCVH", 1.0)
			SetSliderOptionValue(T_MasterDamageTo, 2.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCVH", 2.0)
			SetSliderOptionValue(T_LegendaryDamageBy, 4.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCL", 4.0)
			SetSliderOptionValue(T_LegendaryDamageTo, 4.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCL", 4.0)
		endif
	ElseIf akOption == T_ResetDifficultyVanilla
		if ShowMessage("Are you sure to reset all difficulty multipliers to Vanilla defaults?", true)
			SetSliderOptionValue(T_NoviceDamageBy, 2.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCVE", 2.0)
			SetSliderOptionValue(T_NoviceDamageTo, 0.5, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCVE", 0.5)
			SetSliderOptionValue(T_ApprenticeDamageBy, 1.5, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCE", 1.5)
			SetSliderOptionValue(T_ApprenticeDamageTo, 0.75, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCE", 0.75)
			SetSliderOptionValue(T_AdeptDamageBy, 1.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCN", 1.0)
			SetSliderOptionValue(T_AdeptDamageTo, 1.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCN", 1.0)
			SetSliderOptionValue(T_ExpertDamageBy, 0.75, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCH", 0.75)
			SetSliderOptionValue(T_ExpertDamageTo, 1.5, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCH", 1.5)
			SetSliderOptionValue(T_MasterDamageBy, 0.5, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCVH", 0.5)
			SetSliderOptionValue(T_MasterDamageTo, 2.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCVH", 2.0)
			SetSliderOptionValue(T_LegendaryDamageBy, 0.25, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPByPCL", 0.25)
			SetSliderOptionValue(T_LegendaryDamageTo, 3.0, "x{2}")
			Game.SetGameSettingFloat("fDiffMultHPToPCL", 3.0)
		endif
	EndIf
EndEvent

; -----

Event OnOptionDefault(Int akOption)

	If akOption == T_DisableAlchemyDebuff
		SFL_DisableAlchemyDebuff_Global.SetValue(0)
		SetToggleOptionValue(T_DisableAlchemyDebuff,false)

	ElseIf akOption == T_DisableAttackSpeed
		SFL_DisableAttackSpeed_Global.SetValue(0)
		SetToggleOptionValue(T_DisableAttackSpeed,false)

	ElseIf akOption == T_DisableCasterNerf
		SFL_DisableCasterNerf_Global.SetValue(0)
		SetToggleOptionValue(T_DisableCasterNerf,false)

	ElseIf akOption == T_DisableMagickaDebuff
		SFL_DisableMagickaDebuff_Global.SetValue(0)
		SetToggleOptionValue(T_DisableMagickaDebuff,false)

	ElseIf akOption == T_DisableDamageFlux
		SFL_DisableDamageFlux_Global.SetValue(0)
		SetToggleOptionValue(T_DisableDamageFlux,false)

	ElseIf akOption == T_DisablePowerAttackPunishment
		SFL_DisablePowerAttackPunishment_Global.SetValue(0)
		SetToggleOptionValue(T_DisablePowerAttackPunishment,false)

	ElseIf akOption == T_DisableSelfBowMods
		SFL_DisablePowerAttackPunishment_Global.SetValue(0)
		SetToggleOptionValue(T_DisablePowerAttackPunishment,false)

	ElseIf akOption == T_DisableWounds
		SFL_DisableWounds_Global.SetValue(0)
		SetToggleOptionValue(T_DisableWounds,false)

	ElseIf akOption == T_DisableDamageNerf
		SFL_DisableDamageNerf_Global.SetValue(0)
		SetToggleOptionValue(T_DisableDamageNerf,false)

	ElseIf akOption == T_DisableTimedBlock
		SFL_DisableTimedBlock_Global.SetValue(0)
		SetToggleOptionValue(T_DisableTimedBlock,false)

	ElseIf akOption == T_SquelchInjuryMessages
		SFL_SquelchInjuryMessages_Global.SetValue(0)
		SetToggleOptionValue(T_SquelchInjuryMessages, false)

	ElseIf akOption == T_SquelchTimedBlockMessages
		SFL_SquelchTimedBlockMessages_Global.SetValue(0)
		SetToggleOptionValue(T_SquelchTimedBlockMessages, false)

	ElseIf akOption == T_DisableCloak
		PlayerRef.AddSpell(SFL_Cloak_Spell_Ab, false)
		SetToggleOptionValue(T_DisableCloak, false)
		SetOptionFlags(T_DisableAlchemyDebuff, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableAttackSpeed, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableCasterNerf, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableMagickaDebuff, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableDamageFlux, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisablePowerAttackPunishment, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableSelfBowMods, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableFullBodyStagger, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableWounds, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableDamageNerf, OPTION_FLAG_NONE)
		SetOptionFlags(T_DisableTimedBlock, OPTION_FLAG_NONE)
		SetOptionFlags(T_SwingCostsStamina, OPTION_FLAG_NONE)
		SetOptionFlags(T_InjuryChance_NPC, OPTION_FLAG_NONE)
		SetOptionFlags(T_InjuryChance_PC, OPTION_FLAG_NONE)
		SetOptionFlags(T_SquelchInjuryMessages, OPTION_FLAG_NONE)
		SetOptionFlags(T_SquelchTimedBlockMessages, OPTION_FLAG_NONE)
		SetOptionFlags(T_HealthThreshold_Power, OPTION_FLAG_NONE)
		SetOptionFlags(T_HealthThreshold_Regular, OPTION_FLAG_NONE)
		SetOptionFlags(T_HealthThreshold_Weaker, OPTION_FLAG_NONE)

	ElseIf akOption == T_DisableFullBodyStagger
		SFL_DisableFullBodyStagger_Global.SetValue(0)
		SetToggleOptionValue(T_DisableFullBodyStagger, false)	

	EndIf

EndEvent

; -----

Event OnOptionHighlight(Int akOption)

	If akOption == T_DisableAlchemyDebuff
		SetInfoText("")

	ElseIf akOption == T_DisableAttackSpeed
		SetInfoText("Prevents NPCs from attacking faster at high Health and slower at low Health. Use this option if other mods modify NPC attack speed, leading to excessively fast attacks.")

	ElseIf akOption == T_DisableCasterNerf
		SetInfoText("Disables the 15% movement speed reduction while holding a spell.")

	ElseIf akOption == T_DisableMagickaDebuff
		SetInfoText("Disables the 50% increase in spell costs. Note that the increased combat lethality provided by Wildcat reduces the number of spells you need to cast to win a fight, and therefore the amount of Magicka you need.")

	ElseIf akOption == T_DisableDamageFlux
		SetInfoText("Disables 35% less attack damage taken at high Health and 35% more attack damage taken at low Health, for the player and other actors.")

	ElseIf akOption == T_DisablePowerAttackPunishment
		SetInfoText("Disables 50% increased attack damage taken during a power attack, for the player and other actors.")

	ElseIf akOption == T_DisableSelfBowMods
		SetInfoText("Disables bows taking 30% longer to draw but dealing 30% more damage.")

	ElseIf akOption == T_DisableWounds
		SetInfoText("")

	ElseIf akOption == T_DisableDamageNerf
		SetInfoText("Disables the 35% attack damage reduction at zero Stamina, for the player and other actors.")

	ElseIf akOption == T_DisableTimedBlock
		SetInfoText("Disables timed blocking for the player. Blocking an attack within 1 second after raising a shield or weapon will block 20% more damage and stagger the attacker. If the player does not block a hit during this time, there is a 3 second cooldown before they can attempt a timed block again. This feature may not work correctly if you are experiencing heavy script latency due to script heavy mods.")

	ElseIf akOption == T_SwingCostsStamina
		SetInfoText("The amount of Stamina to swing a weapon, for the player and other actors. Running out of Stamina does not prevent further attacks.")

	ElseIf akOption == T_InjuryChance_NPC
		SetInfoText("The chance that a non-player actor receives an injury upon falling below any Health threshold.")

	ElseIf akOption == T_InjuryChance_PC
		SetInfoText("The chance that the player receives an injury upon falling below any Health threshold.")

	ElseIf akOption == T_SquelchInjuryMessages
		SetInfoText("Disables the notification in the top left corner when your attack injures an opponent or when you receive an injury. There is a sound effect to indicate when an injury is applied to an actor.")

	ElseIf akOption == T_SquelchTimedBlockMessages
		SetInfoText("Disables the notification in the top left corner when you perform a successful Timed Block.")

	ElseIf akOption == T_DisableCloak
		SetInfoText("Disables stagger and injury mechanics added by Wildcat, leaving only the AI modifications and numerical tweaks. This option deactivates all scripts and shrinks Wildcat down to a lightweight AI mod. After using this option, please fast travel or run until all affected actors are unloaded and wait up to 300 seconds for the scripts on nearby actors to clear. This will not cause any save bloat.")

	ElseIf akOption == T_DisableFullBodyStagger
		SetInfoText("Disables the stun effect that occurs when the player is staggered, reverting to vanilla behavior.")

	ElseIf akOption == T_HealthThreshold_Power
		SetInfoText("Health threshold below which the player and other actors get injured and strongly staggered.")

	ElseIf akOption == T_HealthThreshold_Regular
		SetInfoText("Health threshold below which the player and other actors get injured and moderately staggered.")

	ElseIf akOption == T_HealthThreshold_Weaker
		SetInfoText("Health threshold below which the player and other actors get injured and weakly staggered.")

	ElseIf akOption == T_AdeptDamageBy
		SetInfoText("Multiplier for the damage you deal to other actors. Difficulty must be set to Adept. This will conflict with other mods that allow you to edit difficulty settings, but only for Adept difficulty.")

	ElseIf akOption == T_AdeptDamageTo
		SetInfoText("Multiplier for the damage you take from other actors. Difficulty must be set to Adept. This will conflict with other mods that allow you to edit difficulty settings, but only for Adept difficulty.")

	;-------renn
	ElseIf akOption == T_NoviceDamageBy
		SetInfoText("Novice Difficulty: " + "Multiplier for the damage you deal to other actors." + "\n" + "Vanilla Novice: ")
	ElseIf akOption == T_NoviceDamageTo
		SetInfoText("Novice Difficulty: " + "Multiplier for the damage you take from other actors." + "\n" + "Vanilla Novice: ")
	ElseIf akOption == T_ApprenticeDamageBy
		SetInfoText("Apprentice Difficulty: " + "Multiplier for the damage you deal to other actors." + "\n" + "Vanilla Apprentice: ")
	ElseIf akOption == T_ApprenticeDamageTo
		SetInfoText("Apprentice Difficulty: " + "Multiplier for the damage you take from other actors." + "\n" + "Vanilla Apprentice: ")
	ElseIf akOption == T_ExpertDamageBy
		SetInfoText("Expert Difficulty: " + "Multiplier for the damage you deal to other actors." + "\n" + "Vanilla Expert: ")
	ElseIf akOption == T_ExpertDamageTo
		SetInfoText("Expert Difficulty: " + "Multiplier for the damage you take from other actors." + "\n" + "Vanilla Expert: ")
	ElseIf akOption == T_MasterDamageBy
		SetInfoText("Master Difficulty: " + "Multiplier for the damage you deal to other actors." + "\n" + "Vanilla Master: ")
	ElseIf akOption == T_MasterDamageTo
		SetInfoText("Master Difficulty: " + "Multiplier for the damage you take from other actors." + "\n" + "Vanilla Master: ")
	ElseIf akOption == T_LegendaryDamageBy
		SetInfoText("Legendary Difficulty: " + "Multiplier for the damage you deal to other actors." + "\n" + "Vanilla Legendary: ")
	ElseIf akOption == T_LegendaryDamageTo
		SetInfoText("Legendary Difficulty: " + "Multiplier for the damage you take from other actors." + "\n" + "Vanilla Legendary: ")
	EndIf

EndEvent

; -----

Event OnOptionSliderOpen(Int akOption)

	If akOption == T_HealthThreshold_Power
		SetSliderDialogStartValue(SFL_HealthThreshold_Global_Power.GetValue())
		SetSliderDialogDefaultValue(0.2)
		SetSliderDialogRange(0.05, 0.95)
		SetSliderDialogInterval(0.05)

	ElseIf akOption == T_HealthThreshold_Regular
		SetSliderDialogStartValue(SFL_HealthThreshold_Global_Regular.GetValue())
		SetSliderDialogDefaultValue(0.35)
		SetSliderDialogRange(0.05, 0.95)
		SetSliderDialogInterval(0.05)

	ElseIf akOption == T_HealthThreshold_Weaker
		SetSliderDialogStartValue(SFL_HealthThreshold_Global_Weaker.GetValue())
		SetSliderDialogDefaultValue(0.5)
		SetSliderDialogRange(0.05, 0.95)
		SetSliderDialogInterval(0.05)

	ElseIf akOption == T_SwingCostsStamina
		SetSliderDialogStartValue(SFL_SwingCostsStamina_Global.GetValue())
		SetSliderDialogDefaultValue(6.0)
		SetSliderDialogRange(0.0, 25.0)
		SetSliderDialogInterval(0.5)

	ElseIf akOption == T_InjuryChance_NPC
		SetSliderDialogStartValue(SFL_InjuryChance_Global_NPC.GetValue())
		SetSliderDialogDefaultValue(50)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(5)

	ElseIf akOption == T_InjuryChance_PC
		SetSliderDialogStartValue(SFL_InjuryChance_Global_PC.GetValue())
		SetSliderDialogDefaultValue(25)
		SetSliderDialogRange(0, 100)
		SetSliderDialogInterval(5)

	;ElseIf akOption == T_AdeptDamageBy
	;	SetSliderDialogStartValue(SFL_AdeptDamageBy_Global.GetValue())
	;	SetSliderDialogDefaultValue(1.5)
	;	SetSliderDialogRange(0.25, 6.0)
	;	SetSliderDialogInterval(0.25)
	;
	;ElseIf akOption == T_AdeptDamageTo
	;	SetSliderDialogStartValue(SFL_AdeptDamageTo_Global.GetValue())
	;	SetSliderDialogDefaultValue(1.5)
	;	SetSliderDialogRange(0.25, 6.0)
	;	SetSliderDialogInterval(0.25)
	
	;--------renn
	ElseIf akOption == T_NoviceDamageBy
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPByPCVE"))
		SetSliderDialogDefaultValue(2.00)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)	
	ElseIf akOption == T_NoviceDamageTo
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPToPCVE"))
		SetSliderDialogDefaultValue(1.00)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)
	ElseIf akOption == T_ApprenticeDamageBy
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPByPCE"))
		SetSliderDialogDefaultValue(1.75)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)	
	ElseIf akOption == T_ApprenticeDamageTo
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPToPCE"))
		SetSliderDialogDefaultValue(1.25)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)
	ElseIf akOption == T_AdeptDamageBy
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPByPCN"))
		SetSliderDialogDefaultValue(1.50)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)	
	ElseIf akOption == T_AdeptDamageTo
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPToPCN"))
		SetSliderDialogDefaultValue(1.50)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)
	ElseIf akOption == T_ExpertDamageBy
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPByPCH"))
		SetSliderDialogDefaultValue(1.25)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)	
	ElseIf akOption == T_ExpertDamageTo
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPToPCH"))
		SetSliderDialogDefaultValue(1.75)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)
	ElseIf akOption == T_MasterDamageBy
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPByPCVH"))
		SetSliderDialogDefaultValue(1.00)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)	
	ElseIf akOption == T_MasterDamageTo
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPToPCVH"))
		SetSliderDialogDefaultValue(2.00)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)
	ElseIf akOption == T_LegendaryDamageBy
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPByPCL"))
		SetSliderDialogDefaultValue(4.00)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)	
	ElseIf akOption == T_LegendaryDamageTo
		SetSliderDialogStartValue(Game.GetGameSettingFloat("fDiffMultHPToPCL"))
		SetSliderDialogDefaultValue(4.00)
		SetSliderDialogRange(0.00, 10.00)
		SetSliderDialogInterval(0.05)

	EndIf

EndEvent

; -----

Event OnOptionSliderAccept(Int akOption, Float akValue)

	If akOption == T_HealthThreshold_Power
		SFL_HealthThreshold_Global_Power.SetValue(akValue)
		SetSliderOptionValue(T_HealthThreshold_Power, akValue, SFL_HealthThreshold_Parse_Power)

	ElseIf akOption == T_HealthThreshold_Regular
		SFL_HealthThreshold_Global_Regular.SetValue(akValue)
		SetSliderOptionValue(T_HealthThreshold_Regular, akValue, SFL_HealthThreshold_Parse_Regular)

	ElseIf akOption == T_HealthThreshold_Weaker
		SFL_HealthThreshold_Global_Weaker.SetValue(akValue)
		SetSliderOptionValue(T_HealthThreshold_Weaker, akValue, SFL_HealthThreshold_Parse_Weaker)

	ElseIf akOption == T_SwingCostsStamina
		SFL_SwingCostsStamina_Global.SetValue(akValue)
		SetSliderOptionValue(T_SwingCostsStamina, akValue, SFL_SwingCostsStamina_Parse)

	ElseIf akOption == T_InjuryChance_NPC
		SFL_InjuryChance_Global_NPC.SetValue(akValue)
		SetSliderOptionValue(T_InjuryChance_NPC, akValue, SFL_InjuryChance_Parse_NPC)

	ElseIf akOption == T_InjuryChance_PC
		SFL_InjuryChance_Global_PC.SetValue(akValue)
		SetSliderOptionValue(T_InjuryChance_PC, akValue, SFL_InjuryChance_Parse_PC)

	;-------renn
	ElseIf akOption == T_NoviceDamageBy
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPByPCVE", akValue)
	ElseIf akOption == T_NoviceDamageTo
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPToPCVE", akValue)
	ElseIf akOption == T_ApprenticeDamageBy
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPByPCE", akValue)
	ElseIf akOption == T_ApprenticeDamageTo
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPToPCE", akValue)
	ElseIf akOption == T_ExpertDamageBy
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPByPCH", akValue)
	ElseIf akOption == T_ExpertDamageTo
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPToPCH", akValue)
	ElseIf akOption == T_MasterDamageBy
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPByPCVH", akValue)
	ElseIf akOption == T_MasterDamageTo
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPToPCVH", akValue)
	ElseIf akOption == T_LegendaryDamageBy
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPByPCL", akValue)
	ElseIf akOption == T_LegendaryDamageTo
		SetSliderOptionValue(akOption, akValue, "x{2}")
		Game.SetGameSettingFloat("fDiffMultHPToPCL", akValue)

	EndIf

EndEvent

; -----

function ReadStrings()
	
	Pages = new string[2]
	Pages[0] = "Settings"
	Pages[1] = "Injuries Info"

endFunction

function ReadSpellStrings()
	s_Injury			= new string[18]
	s_InjuryInfo		= new string[18]
	s_InjuryDesc		= new string[18]
	s_Injury[0] 		= "Injured Muscle"
	s_InjuryInfo[0] 	= "Injured Muscle Info"
	s_InjuryDesc[0]		= "lose <5>% Health when attacking."
	s_Injury[1] 		= "Injured Skin"
	s_InjuryInfo[1] 	= "Injured Skin Info"
	s_InjuryDesc[1]		= "magic resistance reduced by <mag>%."
	s_Injury[2] 		= "Injured Cranium"
	s_InjuryInfo[2] 	= "Injured Cranium Info"
	s_InjuryDesc[2]		= "losing <mag> points of Magicka per second."
	s_Injury[3] 		= "Injured Brain"
	s_InjuryInfo[3] 	= "Injured Brain Info"
	s_InjuryDesc[3]		= "lose <10>% Health after casting a spell."
	s_Injury[4] 		= "Injured Neck"
	s_InjuryInfo[4] 	= "Injured Neck Info"
	s_InjuryDesc[4]		= "any bash or power attack inflicts double damage."
	s_Injury[5] 		= "Injured Ribcage"
	s_InjuryInfo[5] 	= "Injured Ribcage Info"
	s_InjuryDesc[5]		= "losing <mag> points of Stamina per second."
	s_Injury[6] 		= "Injured Spine"
	s_InjuryInfo[6] 	= "Injured Spine Info"
	s_InjuryDesc[6]		= "paralyzed when you fall below <20>% Health."
	s_Injury[7] 		= "Injured Heart"
	s_InjuryInfo[7] 	= "Injured Heart Info"
	s_InjuryDesc[7]		= "you will die of heart failure within <dur> seconds."
	s_Injury[8] 		= "Injured Stomach"
	s_InjuryInfo[8] 	= "Injured Stomach Info"
	s_InjuryDesc[8]		= "any bash or power attack staggers you."
	s_Injury[9] 		= "Injured Gut"
	s_InjuryInfo[9] 	= "Injured Gut Info"
	s_InjuryDesc[9]		= "losing <mag> Health per second below <50>% Health."
	s_Injury[10] 		= "Injured Shoulder"
	s_InjuryInfo[10] 	= "Injured Shoulder Info"
	s_InjuryDesc[10]	= "attack speed reduced by <mag>%."
	s_Injury[11] 		= "Injured Hand"
	s_InjuryInfo[11] 	= "Injured Hand Info"
	s_InjuryDesc[11]	= "<25>% chance to stagger after casting a spell."
	s_Injury[12] 		= "Injured Arm"
	s_InjuryInfo[12] 	= "Injured Arm Info"
	s_InjuryDesc[12]	= "<25>% chance to stagger when attacking."
	s_Injury[13] 		= "Injured Front Leg"
	s_InjuryInfo[13] 	= "Injured Front Leg Info"
	s_InjuryDesc[13]	= "<25>% chance to stagger when attacking."
	s_Injury[14] 		= "Injured Hind Leg"
	s_InjuryInfo[14] 	= "Injured Hind Leg Info"
	s_InjuryDesc[14]	= "any unblocked bash or power attack knocks you down."
	s_Injury[15] 		= "Injured Knee"
	s_InjuryInfo[15] 	= "Injured Knee Info"
	s_InjuryDesc[15]	= "any unblocked bash or power attack knocks you down."
	s_Injury[16] 		= "Injured Foot"
	s_InjuryInfo[16] 	= "Injured Foot Info"
	s_InjuryDesc[16]	= "may stagger when running or trip when sprinting."
	s_Injury[17] 		= "Injured Wing"
	s_InjuryInfo[17] 	= "Injured Wing Info"
	s_InjuryDesc[17]	= "Grounded and cannot fly."
endFunction

event OnConfigOpen()
	ReadStrings()
	b_CureInjury = false
endEvent

event OnConfigClose()
	if b_CureInjury
		CureInjury()
		b_CureInjury = false
	endif
endEvent

state rennState
	event OnOptionSelect(int option)
		if option == OID_[18]
;			if ShowMessage("Are you sure to cure All injuries? Your health will be full restored.", true)
			b_CureInjury = !b_CureInjury
			SetToggleOptionValue(OID_[18], b_CureInjury)
			ForcePageReset()
		endif
	endEvent
	event OnOptionHighlight(int option)
		if option == OID_[18]
			SetInfoText("Cure your current injuries by restoring your full health.")
		endif
		int i = 0
		While i < 18
			if option == OID_[i]
				SetInfoText(s_InjuryDesc[i])
			endif
			i += 1
		endWhile
	endEvent
endState

function CureInjury()
	While PlayerRef.GetActorValuePercentage("Health") <= 1
		PlayerRef.ModAV("Health", 10000 as float)
	endWhile
	Debug.Notification("Cured all injuries...")
endFunction

;function CloseMCM()
;	int _Key = Input.GetMappedKey("Tween Menu")
;	While Utility.IsInMenuMode()
;		Input.TapKey(_Key)
;		Utility.WaitMenuMode(0.25)
;	endWhile
;endFunction

int[] OID_
string[] s_Injury
string[] s_InjuryInfo
string[] s_InjuryDesc
int[] i_Injury
bool b_CureInjury

Int T_NoviceDamageBy
Int T_NoviceDamageTo
Int T_ApprenticeDamageBy
Int T_ApprenticeDamageTo
Int T_ExpertDamageBy
Int T_ExpertDamageTo
Int T_MasterDamageBy
Int T_MasterDamageTo
Int T_LegendaryDamageBy
Int T_LegendaryDamageTo
Int T_ResetDifficultyWildcat
Int T_ResetDifficultyVanilla